
/ {

	display-subsystem {
		status = "okay";

		ports = <&vopb_out>, <&vopl_out>;
		logo-memory-region = <&drm_logo>;

		route {
			route_edp: route-edp {
				status = "disabled";
				logo,uboot = "logo.bmp";
				logo,kernel = "logo.bmp";
				logo,mode = "center";
				charge_logo,mode = "center";
				connect = <&vopb_out_edp>;
			};

			route_dsi0: route-dsi0 {
				status = "disabled";
				logo,uboot = "logo.bmp";
				logo,kernel = "logo.bmp";
				logo,mode = "center";
				charge_logo,mode = "center";
				connect = <&vopb_out_dsi0>;
			};

			route_lvds: route-lvds {
				status = "disabled";
				logo,uboot = "logo.bmp";
				logo,kernel = "logo.bmp";
				logo,mode = "center";
				charge_logo,mode = "center";
				connect = <&vopb_out_lvds>;
			};

			route_hdmi: route-hdmi {
				status = "disabled";
				logo,uboot = "logo.bmp";
				logo,kernel = "logo.bmp";
				logo,mode = "center";
				charge_logo,mode = "center";
				connect = <&vopl_out_hdmi>;
			};
		};
	};
	                
        

        lvds_panel: lvds-panel {
		status = "okay";
                ports {
                        panel_in_lvds: endpoint {
                                remote-endpoint = <&lvds_out_panel>;
                        };
                };
        };
	
	backlight: backlight {
		status = "okay";
		compatible = "pwm-backlight";
		pwms = <&pwm0 0 25000 0>;
		brightness-levels = <
			  0   1   2   3   4   5   6   7
			  8   9  10  11  12  13  14  15
			 16  17  18  19  20  21  22  23
			 24  25  26  27  28  29  30  31
			 32  33  34  35  36  37  38  39
			 40  41  42  43  44  45  46  47
			 48  49  50  51  52  53  54  55
			 56  57  58  59  60  61  62  63
			 64  65  66  67  68  69  70  71
			 72  73  74  75  76  77  78  79
			 80  81  82  83  84  85  86  87
			 88  89  90  91  92  93  94  95
			 96  97  98  99 100 101 102 103
			104 105 106 107 108 109 110 111
			112 113 114 115 116 117 118 119
			120 121 122 123 124 125 126 127
			128 129 130 131 132 133 134 135
			136 137 138 139 140 141 142 143
			144 145 146 147 148 149 150 151
			152 153 154 155 156 157 158 159
			160 161 162 163 164 165 166 167
			168 169 170 171 172 173 174 175
			176 177 178 179 180 181 182 183
			184 185 186 187 188 189 190 191
			192 193 194 195 196 197 198 199
			200 201 202 203 204 205 206 207
			208 209 210 211 212 213 214 215
			216 217 218 219 220 221 222 223
			224 225 226 227 228 229 230 231
			232 233 234 235 236 237 238 239
			240 241 242 243 244 245 246 247
			248 249 250 251 252 253 254 255>;
		default-brightness-level = <255>;
	};
	
};


&pwm0 {
        status = "okay";
};

&lvds {
	status = "okay";
        ports {
                lvds_out: port@1 {
                        reg = <1>;
                        #address-cells = <1>;
                        #size-cells = <0>;

                        lvds_out_panel: endpoint@0 {
                                reg = <0>;
                                remote-endpoint = <&panel_in_lvds>;
                        };
                };
        };
};

&lvds_panel {
        status = "okay";
        compatible ="simple-panel";
        backlight = <&backlight>;
        bus-format = <MEDIA_BUS_FMT_RGB888_1X32_PADHI>;
        enable-gpios = <&gpio7 2 GPIO_ACTIVE_HIGH>;
	//power-supply = <&vcc_lcd1>;
		reset-delay-ms = <20>;
                init-delay-ms = <20>;
                enable-delay-ms = <120>;
                prepare-delay-ms = <120>;
    //    prepare-delay-ms = <100>;
	//enable-delay-ms = <100>;
	pinctrl-names= "default";
	pinctrl-0 = <&lcd_en>;


		rockchip,data-mapping = "vesa";
		//rockchip,data-mapping = "jeida";
		rockchip,data-width = <24>;
		rockchip,output = "lvds";
        display-timings {
                native-mode = <&timing0>;
                timing0: timing0 {
                        clock-frequency = <51000000>;
                        hactive = <1024>;
                        vactive = <600>;
                        hback-porch = <160>;
                        hfront-porch = <136>;
                        vback-porch = <23>;
                        vfront-porch = <12>;
                        hsync-len = <24>;
                        vsync-len = <1>;
                        hsync-active = <0>;
                        vsync-active = <0>;
                        de-active = <0>;
                        pixelclk-active = <0>;
                };
        };
};
&route_lvds {
	status = "okay";
	//status = "disabled";
};

&pinctrl {
	lcd {
		lcd_en: lcd-en  {
			rockchip,pins = <7 2 RK_FUNC_GPIO &pcfg_pull_up>,
					<6 5 RK_FUNC_GPIO &pcfg_pull_up>,
					<6 6 RK_FUNC_GPIO &pcfg_pull_up>;
		};
	};
};
&edp_in_vopl {
        status = "disabled";
};
&dsi0_in_vopl {
        status = "disabled";
};
&dsi1_in_vopl {
        status = "disabled";
};
&lvds_in_vopl {
        status = "disabled";
};

&edp_in_vopb {
        status = "disabled";
};
&dsi0_in_vopb {
        status = "disabled";
};
&dsi1_in_vopb {
        status = "disabled";
};
&lvds_in_vopb {
        status = "okay";
};

&vopb {
	status = "okay";
};

&vopb_mmu {
	status = "okay";
};

&vopl {
	status = "okay";
};

&vopl_mmu {
	status = "okay";
};

&hdmi {
	#address-cells = <1>;
	#size-cells = <0>;
	#sound-dai-cells = <0>;
	status = "okay";
};

&hdmi_in_vopl {
        status = "okay";
};
&hdmi_in_vopb {
        status = "disabled";
};
